View Issue Details

IDProjectCategoryView StatusLast Update
0003760Talerwallet (WebExtensions)public2019-12-26 21:37
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.0Fixed in Version 
Summary0003760: need GNUnet-style double-symmetric encryption for the wallet
DescriptionGNUnet's symmetric encryption combines AES and TwoFish. We need to have an equivalent symmetric encryption routine for the (browser-based) wallet to support refreshing.
TagsNo tags attached.

Relationships

parent of 0003759 closedMarcello Stanisci need HKDF facility for key derivation in Wallet 
related to 0003766 closedChristian Grothoff Should offer crypto-compatibility /test API 
child of 0003764 closedFlorian Dold wallet needs to support /refresh operations to ensure unlinkability 

Activities

Marcello Stanisci

2015-07-15 10:25

manager   ~0009444

More than 'equivalent': GNUNET_CRYPTO_symmetric_encrypt and GNUNET_CRYPTO_symmetric_decrypt
have been ported to the wallet during /test phase. Check encryptTest() in actions.jsm.

Marcello Stanisci

2015-07-17 14:26

manager   ~0009458

Added in 4c40de8..1d92c72 (after adding a /test battery runner)

Issue History

Date Modified Username Field Change
2015-04-11 16:52 Christian Grothoff New Issue
2015-04-11 16:53 Christian Grothoff Category wallet => wallet (python command-line)
2015-04-11 16:54 Christian Grothoff Category wallet (python command-line) => wallet (browser-based)
2015-04-11 17:07 Christian Grothoff Relationship added child of 0003764
2015-04-11 17:11 Christian Grothoff Relationship added parent of 0003759
2015-04-11 17:38 Christian Grothoff Relationship added related to 0003766
2015-04-13 03:06 Christian Grothoff Target Version 0.0 => 0.1
2015-04-13 03:17 Christian Grothoff Status new => confirmed
2015-06-21 10:42 Christian Grothoff Target Version 0.1 => 0.2
2015-07-11 23:10 Christian Grothoff Assigned To => Marcello Stanisci
2015-07-11 23:10 Christian Grothoff Status confirmed => assigned
2015-07-15 10:25 Marcello Stanisci Note Added: 0009444
2015-07-17 14:26 Marcello Stanisci Note Added: 0009458
2015-07-17 14:26 Marcello Stanisci Status assigned => resolved
2015-07-17 14:26 Marcello Stanisci Resolution open => fixed
2015-07-24 09:29 Christian Grothoff Status resolved => closed
2015-08-08 15:29 Christian Grothoff Target Version 0.2 => 0.0
2019-12-26 21:37 Florian Dold Category wallet (browser-based) => wallet (WebExtensions)